#include "stdafx.h"
#include "NTLogon.h"
#include "NTLogonDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CNTLogonApp, CWinApp)
	//{{AFX_MSG_MAP(CNTLogonApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelpIndex)
  ON_COMMAND(ID_HELP, CWinApp::OnHelpIndex) 
END_MESSAGE_MAP()

CNTLogonApp::CNTLogonApp()
{
}

CNTLogonApp theApp;

BOOL CNTLogonApp::InitInstance()
{
	Enable3dControls();

  //NTLogon is designed for Windows NT only
  OSVERSIONINFO osvi;
  osvi.dwOSVersionInfoSize = sizeof(OSVERSIONINFO);
  GetVersionEx(&osvi);
  if (osvi.dwPlatformId != VER_PLATFORM_WIN32_NT)
  {
    AfxMessageBox(IDS_NOT_RUNNING_ON_NT);
    return FALSE;
  }

  //Load up the current values
  long nError = RegOpenKey(HKEY_LOCAL_MACHINE, 
                           _T("SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\Winlogon"), 
                           &m_hKeyWinLogon);

  if (nError != ERROR_SUCCESS)
  {
    DWORD dwErr = GetLastError();
    AfxMessageBox(IDS_FAIL_OPEN_REGISTRY);
    return FALSE;
  }

	CNTLogonDlg dlg;
	m_pMainWnd = &dlg;
	dlg.DoModal();

	return FALSE;
}

int CNTLogonApp::ExitInstance() 
{
	RegCloseKey(m_hKeyWinLogon);
	
	return CWinApp::ExitInstance();
}
